<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                {form form}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    {* TAB-TABS*}
                    <div class="row">
                        <div class="col-12">
                            <ul class="nav nav-tabs" id="tournament-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="general-tab" data-toggle="tab" href="#general" role="tab" aria-controls="general" aria-selected="false">
                                        <i class="fas fa-fw fa-cogs"></i> <span class="d-none d-lg-inline-block">{_'edit.tab.general'}</span>
                                    </a>
                                </li>

                                {$car|renderSeoTab}
                            </ul>
                        </div>
                    </div>

                    {* TAB-CONTENT*}
                    <div class="tab-content pt-3" id="tournament-tab-content">

                        {* general *}
                        <div class="tab-pane fade active show" id="general" role="tabpanel" aria-labelledby="general-tab">

                            <div class="row">
                                <div class="col-12 col-md-4 col-lg-3">
                                    {label car_brand_id /}
                                    <div class="form-group">
                                        {input car_brand_id class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-md-8 col-lg-9">
                                    {label name /}
                                    <div class="form-group">
                                        {input name class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12 col-md-4">
                                    {label cylinder_volume /}
                                    <div class="form-group">
                                        {input cylinder_volume class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-md-4">
                                    {label fuel /}
                                    <div class="form-group">
                                        {input fuel class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-md-4">
                                    {label transmission /}
                                    <div class="form-group">
                                        {input transmission class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12 col-sm-6 col-md-3">
                                    {label year_of_manufacture /}
                                    <div class="form-group">
                                        {input year_of_manufacture class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-sm-6 col-md-3">
                                    {label price /}
                                    <div class="form-group">
                                        {input price class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-sm-6 col-md-3">
                                    {label price_vat /}
                                    <div class="form-group">
                                        {input price_vat class => 'form-control'}
                                    </div>
                                </div>

                                <div class="col-12 col-sm-6 col-md-3">
                                    {label price_with_vat /}
                                    <div class="form-group">
                                        {input price_with_vat class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            {$form['image_preview']|formImageWithRFM:$car->getImagePreview()}

                            <div class="row">
                                <div class="col-12 col-xl-6">
                                    {label content /}
                                    <div class="form-group">
                                        {input content class => 'form-control',  data-tinymce => 'default'}
                                    </div>
                                </div>

                                <div class="col-12 col-xl-6">
                                    {label description /}
                                    <div class="form-group">
                                        {input description class => 'form-control',  data-tinymce => 'default'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group custom-control custom-switch">
                                        {input is_active: class => "custom-control-input"}
                                {label is_active: class => "custom-control-label" /}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                {input send_back class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}

                    <script n:syntax="double">
                        $(function () {
                            let $price = $('#' + {{$form['price']->getHtmlId()}});
                            let $priceVat = $('#' + {{$form['price_vat']->getHtmlId()}});
                            let $priceWithVat = $('#' + {{$form['price_with_vat']->getHtmlId()}});

                            $(document).on('change keyup', '#' + {{$form['price']->getHtmlId()}}, function () {
                                recalculatePrice(true);
                            }).on('change keyup', '#' + {{$form['price_vat']->getHtmlId()}}, function () {
                                recalculatePrice(true);
                            }).on('change keyup', '#' + {{$form['price_with_vat']->getHtmlId()}}, function () {
                                recalculatePrice(false);
                            });

                            function recalculatePrice(fromPrice) {
                                let vat = 1 + $priceVat.val() / 100;

                                if (fromPrice) {
                                    $priceWithVat.val($price.val() * vat);
                                } else {
                                    $price.val($priceWithVat.val() / vat);
                                }
                            }
                        });
                    </script>
                {/form}
            </div>
        </div>
    </div>

</div>